apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "idm"
  namespace: "adn-agov-nevisidm-01-uat"
  labels:
    deploymentTarget: "idm"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-PROJECT"
    patternId: "b8a36646f81c3247cdb5d90b"
spec:
  type: "NevisIDM"
  replicas: 1
  version: "8.2411.3"
  gitInitVersion: "1.3.0"
  runAsNonRoot: true
  ports:
    management: 8998
    soap: 8989
  resources:
    limits:
      cpu: "1000m"
      memory: "2200Mi"
    requests:
      cpu: "10m"
      memory: "500Mi"
  livenessProbe:
    management:
      httpGet:
        path: "/liveness"
      periodSeconds: 5
      timeoutSeconds: 6
  readinessProbe:
    management:
      httpGet:
        path: "/health"
      periodSeconds: 5
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/health"
      periodSeconds: 5
      timeoutSeconds: 6
      failureThreshold: 50
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-a7ea09396ec9921779728521cfa55f36bb60d4da"
    dir: "DEFAULT-ADN-AGOV-PROJECT/DEFAULT-ADN-AGOV-INV/idm"
    credentials: "git-credentials"
  database:
    name: "idm"
    requiredVersion: "8.2411.1"
  keystores:
  - "idm-default-identity"
  truststores:
  - "idm-idp-idm-sectoken-signer-trust"
  - "idm-technical-trust-store"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
  secrets:
    secret:
    - "0eb37a5f44023ef0ad1013b6-89ec31e5"
